> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taimly.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Получить ящик

> Ящик и счётчики писем.



## OpenAPI

````yaml /openapi.json get /api/mail/mailboxes/{address}
openapi: 3.1.0
info:
  title: Taimly API
  version: 1.3.0
  description: >-
    API Taimly: проверка доставляемости email (Spam Check) и временные почты для
    приёма писем.
servers:
  - url: https://taimly.net
    description: Production
security:
  - BearerAuth: []
paths:
  /api/mail/mailboxes/{address}:
    get:
      tags:
        - Временные почты
      summary: Получить ящик
      description: Ящик и счётчики писем.
      operationId: getMailbox
      parameters:
        - name: address
          in: path
          required: true
          description: >-
            Адрес ящика. Регистр и `+тег` не важны: `Anna+github@example.com` —
            это ящик `anna@example.com`.
          schema:
            type: string
            format: email
            example: anna.smith42@example.com
      responses:
        '200':
          description: Ящик
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Mailbox'
              example:
                id: 3fa1c2d4e5b60718
                address: anna.smith42@example.com
                domain: example.com
                created_at: '2026-10-26T12:00:00Z'
                pinned: false
                messages: 1
                unread: 0
                last_message_at: '2026-10-26T12:03:41Z'
        '401':
          description: Невалидный или отсутствующий API-ключ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: Invalid or missing API key
        '404':
          description: Ящик не найден или принадлежит другому пользователю
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: Mailbox not found
components:
  schemas:
    Mailbox:
      type: object
      properties:
        id:
          type: string
          description: Идентификатор ящика
        address:
          type: string
          format: email
          description: Адрес ящика
        domain:
          type: string
          description: Домен ящика
        created_at:
          type: string
          format: date-time
          description: Когда создан (UTC)
        pinned:
          type: boolean
          description: Показывается ли в списке на сайте
        messages:
          type: integer
          description: Всего писем
        unread:
          type: integer
          description: Непрочитанных писем
        last_message_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Когда пришло последнее письмо (UTC)
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
          description: Описание ошибки
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API-ключ. Передаётся в заголовке `Authorization: Bearer <ваш_ключ>`.
        Ключ выдаётся администратором Taimly.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.